Package be.fgov.ehealth.addressbook.protocol.v1

# Class ObjectFactory

java.lang.Object
be.fgov.ehealth.addressbook.protocol.v1.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.addressbook.protocol.v1 package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.addressbook.protocol.v1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GetOrganizationContactInfoRequest`
  `createGetOrganizationContactInfoRequest()`
  Create an instance of `GetOrganizationContactInfoRequest`
  `GetOrganizationContactInfoResponse`
  `createGetOrganizationContactInfoResponse()`
  Create an instance of `GetOrganizationContactInfoResponse`
  `GetProfessionalContactInfoRequest`
  `createGetProfessionalContactInfoRequest()`
  Create an instance of `GetProfessionalContactInfoRequest`
  `GetProfessionalContactInfoResponse`
  `createGetProfessionalContactInfoResponse()`
  Create an instance of `GetProfessionalContactInfoResponse`
  `HealthCareOrganization`
  `createHealthCareOrganization()`
  Create an instance of `HealthCareOrganization`
  `SearchOrganizationsRequest`
  `createSearchOrganizationsRequest()`
  Create an instance of `SearchOrganizationsRequest`
  `SearchOrganizationsResponse`
  `createSearchOrganizationsResponse()`
  Create an instance of `SearchOrganizationsResponse`
  `SearchProfessionalsRequest`
  `createSearchProfessionalsRequest()`
  Create an instance of `SearchProfessionalsRequest`
  `SearchProfessionalsResponse`
  `createSearchProfessionalsResponse()`
  Create an instance of `SearchProfessionalsResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.addressbook.protocol.v1

- ## Method Details

  - ### createGetOrganizationContactInfoRequest

    public GetOrganizationContactInfoRequest createGetOrganizationContactInfoRequest()
    Create an instance of `GetOrganizationContactInfoRequest`
    Returns:
      the new instance of `GetOrganizationContactInfoRequest`

  - ### createGetOrganizationContactInfoResponse

    public GetOrganizationContactInfoResponse createGetOrganizationContactInfoResponse()
    Create an instance of `GetOrganizationContactInfoResponse`
    Returns:
      the new instance of `GetOrganizationContactInfoResponse`

  - ### createGetProfessionalContactInfoRequest

    public GetProfessionalContactInfoRequest createGetProfessionalContactInfoRequest()
    Create an instance of `GetProfessionalContactInfoRequest`
    Returns:
      the new instance of `GetProfessionalContactInfoRequest`

  - ### createGetProfessionalContactInfoResponse

    public GetProfessionalContactInfoResponse createGetProfessionalContactInfoResponse()
    Create an instance of `GetProfessionalContactInfoResponse`
    Returns:
      the new instance of `GetProfessionalContactInfoResponse`

  - ### createSearchOrganizationsRequest

    public SearchOrganizationsRequest createSearchOrganizationsRequest()
    Create an instance of `SearchOrganizationsRequest`
    Returns:
      the new instance of `SearchOrganizationsRequest`

  - ### createSearchOrganizationsResponse

    public SearchOrganizationsResponse createSearchOrganizationsResponse()
    Create an instance of `SearchOrganizationsResponse`
    Returns:
      the new instance of `SearchOrganizationsResponse`

  - ### createHealthCareOrganization

    public HealthCareOrganization createHealthCareOrganization()
    Create an instance of `HealthCareOrganization`
    Returns:
      the new instance of `HealthCareOrganization`

  - ### createSearchProfessionalsRequest

    public SearchProfessionalsRequest createSearchProfessionalsRequest()
    Create an instance of `SearchProfessionalsRequest`
    Returns:
      the new instance of `SearchProfessionalsRequest`

  - ### createSearchProfessionalsResponse

    public SearchProfessionalsResponse createSearchProfessionalsResponse()
    Create an instance of `SearchProfessionalsResponse`
    Returns:
      the new instance of `SearchProfessionalsResponse`